Skip to main content
`Ctrl`+`K`

# PetscSpaceTensorSetNumSubspaces

Set the number of spaces in the tensor product space

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceTensorSetNumSubspaces(PetscSpace sp, PetscInt numTensSpaces)

## Input Parameters

- sp - the function space object

- numTensSpaces - the number of spaces

## Note

The name NumSubspaces is misleading because it is actually setting the number of defining spaces of the tensor product space, not a number of Subspaces of it

## See Also

`PETSCSPACETENSOR`, `PetscSpace`, `PetscSpaceTensorGetNumSubspaces()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/tensor/spacetensor.c

## Implementations

PetscSpaceTensorSetNumSubspaces_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages